summaryrefslogtreecommitdiffstats
path: root/academic/bibletime
diff options
context:
space:
mode:
author Timothy Pollard <grainman.timp@gmail.com>2010-05-11 22:53:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:05 +0200
commitbbb60cb26f1303521326b3664055156a9888f806 (patch)
treeb79c7e11b1b8e21cb2225fc72c8889bc5eaec642 /academic/bibletime
parent7b54bf808b1be696781c5fd5a216f3201f7bbdef (diff)
downloadslackbuilds-bbb60cb26f1303521326b3664055156a9888f806.tar.gz
slackbuilds-bbb60cb26f1303521326b3664055156a9888f806.tar.xz
academic/bibletime: Added to 12.1 repository
Diffstat (limited to 'academic/bibletime')
-rw-r--r--academic/bibletime/README5
-rw-r--r--academic/bibletime/bibletime.SlackBuild96
-rw-r--r--academic/bibletime/bibletime.info8
-rw-r--r--academic/bibletime/doinst.sh4
-rw-r--r--academic/bibletime/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/academic/bibletime/README b/academic/bibletime/README
new file mode 100644
index 0000000000..35b025376e
--- /dev/null
+++ b/academic/bibletime/README
@@ -0,0 +1,5 @@
+BibleTime is a Bible study application for Linux. It is based on the K Desktop
+Environment and uses the Sword programming library to work with Bible texts,
+commentaries, dictionaries and books provided by the Crosswire Bible Society.
+
+Requires CLucene and sword available at SlackBuilds.org \ No newline at end of file
diff --git a/academic/bibletime/bibletime.SlackBuild b/academic/bibletime/bibletime.SlackBuild
new file mode 100644
index 0000000000..fb57a662dc
--- /dev/null
+++ b/academic/bibletime/bibletime.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+#
+# A slackbuild script to build the BibleTime Sword frontend
+#
+# Copyright (c) 2007, Timothy Pollard
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+# FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+# OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by SlackBuilds.org
+
+PRGNAM=bibletime
+VERSION=1.6.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+|| exit
+
+# Compile the source
+make || exit
+make install DESTDIR=$PKG || exit
+
+# Strip some libraries and binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp ChangeLog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz \ No newline at end of file
diff --git a/academic/bibletime/bibletime.info b/academic/bibletime/bibletime.info
new file mode 100644
index 0000000000..cd59dbc8f0
--- /dev/null
+++ b/academic/bibletime/bibletime.info
@@ -0,0 +1,8 @@
+PRGNAM="bibletime"
+VERSION="1.6.7"
+HOMEPAGE="http://www.bibletime.info/"
+DOWNLOAD="http://download.sourceforge.net/sourceforge/bibletime/bibletime-1.6.5.tar.bz2"
+MD5SUM="c6815d2076e454150c3b9fb88c1dd1e8"
+MAINTAINER="Timothy Pollard"
+EMAIL="grainman.timp@gmail.com"
+APPROVED="David Somero"
diff --git a/academic/bibletime/doinst.sh b/academic/bibletime/doinst.sh
new file mode 100644
index 0000000000..b46adf0f45
--- /dev/null
+++ b/academic/bibletime/doinst.sh
@@ -0,0 +1,4 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/bibletime/slack-desc b/academic/bibletime/slack-desc
new file mode 100644
index 0000000000..4424eed188
--- /dev/null
+++ b/academic/bibletime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bibletime: BibleTime (Bible study application for Linux)
+bibletime:
+bibletime: BibleTime is based on the K Desktop Environment and uses the Sword
+bibletime: programming library to work with Bible texts, commentaries,
+bibletime: dictionaries and books provided by the Crosswire Bible Society.
+bibletime:
+bibletime: http://www.bibletime.info/
+bibletime:
+bibletime:
+bibletime:
+bibletime: